Skip to main content
GET
/
v1
/
balance_transactions
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/balance_transactions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/balance_transactions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/balance_transactions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "85033c5b-2386-4993-aeee-536fc795910c",
  "object": "balance_transaction",
  "amount": 2000,
  "currency": "usd",
  "ending_balance_amount": 0,
  "transaction_type": "adjustment",
  "balance": "8bbb1e21-9fad-4595-b711-d5e298860845",
  "customer": "dd7dcda2-98c2-4520-8b0d-cb0bc6dd099d",
  "checkout": null,
  "created_at": 1782485805,
  "updated_at": 1782485805
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

amount
integer

The amount of the transaction. A negative value is a credit for the customer’s balance, and a positive value is a debit to the customer’s balance.

currency
string

Three-letter ISO currency code, in lowercase.

balance

Expandable – The associated balance ID.

customer

Expandable – The associated customer ID.

ending_balance_amount
integer

The balance amount after the transaction was applied.

checkout

Expandable – The associated checkout ID.

transaction_type
string

One of either adjustment, applied_to_checkout, checkout_below_currency_minimum, or checkout_credit. Balance transactions created through the API are always adjustment transactions.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.